#include <16F628A.h>
#use delay(clock=4000000)
#include <rs232.c>

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES XT                       //Crystal osc <= 4mhz
#FUSES PUT                      //Power Up Timer
#FUSES NOPROTECT                //Code not protected from reading
#FUSES NOBROWNOUT               //No brownout reset
#FUSES MCLR                     //Master Clear pin enabled
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOCPD                    //No EE protection

#use rs232(baud=9600,parity=N,xmit=PIN_B0,rcv=PIN_B1)

main()
{
   int x = tempo_bit_dado;
   rs232_inicializa();
   while (true)
   {
      rs232_transmite(rs232_recebe());
   }
}
